summaryrefslogtreecommitdiff
path: root/regress/usr.bin
diff options
context:
space:
mode:
authorDarren Tucker <dtucker@cvs.openbsd.org>2004-02-28 13:44:46 +0000
committerDarren Tucker <dtucker@cvs.openbsd.org>2004-02-28 13:44:46 +0000
commit12fec13d6707e217a4012c1e21175858ab1a34a8 (patch)
treeedd2c85e04a10d45daa9cf2d33970595fa50c44f /regress/usr.bin
parent57fd909f074c20781970a799fc80eef28f7c1260 (diff)
Test acss too; ok markus@
Diffstat (limited to 'regress/usr.bin')
-rw-r--r--regress/usr.bin/ssh/try-ciphers.sh13
1 files changed, 12 insertions, 1 deletions
diff --git a/regress/usr.bin/ssh/try-ciphers.sh b/regress/usr.bin/ssh/try-ciphers.sh
index 2c727f66c90..103f410a804 100644
--- a/regress/usr.bin/ssh/try-ciphers.sh
+++ b/regress/usr.bin/ssh/try-ciphers.sh
@@ -1,4 +1,4 @@
-# $OpenBSD: try-ciphers.sh,v 1.8 2003/06/12 15:40:01 markus Exp $
+# $OpenBSD: try-ciphers.sh,v 1.9 2004/02/28 13:44:45 dtucker Exp $
# Placed in the Public Domain.
tid="try ciphers"
@@ -28,3 +28,14 @@ for c in $ciphers; do
fail "ssh -1 failed with cipher $c"
fi
done
+
+echo "Ciphers acss@openssh.org" >> $OBJ/sshd_proxy
+c=acss@openssh.org
+for m in $macs; do
+ trace "proto 2 $c mac $m"
+ verbose "test $tid: proto 2 cipher $c mac $m"
+ ${SSH} -F $OBJ/ssh_proxy -2 -m $m -c $c somehost true
+ if [ $? -ne 0 ]; then
+ fail "ssh -2 failed with mac $m cipher $c"
+ fi
+done